import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'userjuriscms',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        {
          path: '/role',
          component: () => import('../views/role/index.vue'),
          meta: { title: '菜单管理' },
        },
        {
          path: '/permission',
          component: () => import('../views/permission/index.vue'),
          meta: { title: '权限管理' },
        },
        {
          path: '/adminUser',
          component: () => import('../views/adminUser/index.vue'),
          meta: { title: '机构管理员' },
        },
        {
          path: '/business',
          component: () => import('../views/business/index.vue'),
          meta: { title: '业务管理员' },
        },
        // {
        //   path: '/vip',
        //   component: () => import('../views/vip/index.vue'),
        //   meta: { title: 'VIP用户' },
        // },
        {
          path: '/user',
          component: () => import('../views/user/index.vue'),
          meta: { title: '用户管理' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '/register',
      component: () => import('../views/register.vue'),
      meta: { title: '注册' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
