import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
import login from './user/login';
import role from './user/role';
import marketuser from './user/marketuser';
import exportuser from './user/exportuser';
import authUser from './user/auth-user';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    // 登录
    login,
    // 菜单
    role,
    // 用户
    marketuser,
    exportuser,
    // 权限用户
    authUser,
  },
});
